TagLib::DSDIFF::Properties Class Reference

An implementation of audio property reading for DSDIFF. More...

`#include <dsdiffproperties.h>`

Inheritance diagram for TagLib::DSDIFF::Properties:
[legend]
Collaboration diagram for TagLib::DSDIFF::Properties:
[legend]

## Public Member Functions

| Properties (unsigned int sampleRate, unsigned short channels, unsigned long long samplesCount, int bitrate, ReadStyle style)
| ~Properties () override
int | lengthInSeconds () const override
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
int | bitsPerSample () const
long long | sampleCount () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for DSDIFF.

This reads the data from a DSDIFF stream found in the AudioProperties API.

## Constructor & Destructor Documentation

## Properties()

TagLib::DSDIFF::Properties::Properties | ( | unsigned int | sampleRate,
|  | unsigned short | channels,
|  | unsigned long long | samplesCount,
|  | int | bitrate,
|  | ReadStyle | style )

Create an instance of DSDIFF::Properties with the data read from the ByteVector data.

References bitrate(), channels(), and sampleRate().

## ~Properties()

TagLib::DSDIFF::Properties::~Properties | ( |  | ) |

override

Destroys this DSDIFF::Properties instance.

## Member Function Documentation

## bitrate()

int TagLib::DSDIFF::Properties::bitrate | ( |  | ) | const

override virtual

Returns the most appropriate bit rate for the file in kb/s. For constant bitrate formats this is simply the bitrate of the file. For variable bitrate formats this is either the average or nominal bitrate.

Reimplemented from TagLib::AudioProperties.

Referenced by Properties().

## bitsPerSample()

int TagLib::DSDIFF::Properties::bitsPerSample | ( |  | ) | const

## channels()

int TagLib::DSDIFF::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

Referenced by Properties().

## lengthInMilliseconds()

int TagLib::DSDIFF::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## lengthInSeconds()

int TagLib::DSDIFF::Properties::lengthInSeconds | ( |  | ) | const

override virtual

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

See also
  lengthInMilliseconds()

Reimplemented from TagLib::AudioProperties.

## sampleCount()

long long TagLib::DSDIFF::Properties::sampleCount | ( |  | ) | const

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## sampleRate()

int TagLib::DSDIFF::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

Referenced by Properties().

The documentation for this class was generated from the following file:

- dsdiffproperties.h